Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webcommon30
Class LocaleEncodingMappingListTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.webcommon30.LocaleEncodingMappingListTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, LocaleEncodingMappingListType<T>

    public class LocaleEncodingMappingListTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, LocaleEncodingMappingListType<T>

This class implements the `locale-encoding-mapping-listType` xsd type

Original Documentation:

The locale-encoding-mapping-list contains one or more
locale-encoding-mapping(s).

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`LocaleEncodingMappingListTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`LocaleEncodingMappingListTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<LocaleEncodingMappingType<LocaleEncodingMappingListType<T>>>` | `getLocaleEncodingMappingList()` Returns all `locale-encoding-mapping` elements
`LocaleEncodingMappingType<LocaleEncodingMappingListType<T>>` | `localeEncodingMapping()` Returns the `locale-encoding-mapping` element
`LocaleEncodingMappingListType<T>` | `removeAllLocaleEncodingMapping()` Removes all `locale-encoding-mapping` elements
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocaleEncodingMappingListTypeImpl

    public LocaleEncodingMappingListTypeImpl(T t,
                                             java.lang.String nodeName,
                                             org.jboss.shrinkwrap.descriptor.spi.Node node)

### LocaleEncodingMappingListTypeImpl

    public LocaleEncodingMappingListTypeImpl(T t,
                                             java.lang.String nodeName,
                                             org.jboss.shrinkwrap.descriptor.spi.Node node,
                                             org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### removeAllLocaleEncodingMapping

    public LocaleEncodingMappingListType<T> removeAllLocaleEncodingMapping()

  Removes all `locale-encoding-mapping` elements

  Specified by:
    `removeAllLocaleEncodingMapping` in interface `LocaleEncodingMappingListType<T>`
  Returns:
    the current instance of `LocaleEncodingMappingListType`

### localeEncodingMapping

    public LocaleEncodingMappingType<LocaleEncodingMappingListType<T>> localeEncodingMapping()

  Returns the `locale-encoding-mapping` element

  Specified by:
    `localeEncodingMapping` in interface `LocaleEncodingMappingListType<T>`
  Returns:
    the node defined for the element `locale-encoding-mapping`

### getLocaleEncodingMappingList

    public java.util.List<LocaleEncodingMappingType<LocaleEncodingMappingListType<T>>> getLocaleEncodingMappingList()

  Returns all `locale-encoding-mapping` elements

  Specified by:
    `getLocaleEncodingMappingList` in interface `LocaleEncodingMappingListType<T>`
  Returns:
    list of `locale-encoding-mapping`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD